<?php
/**
 * body
 */
$body_typo = get_theme_mod( 'body_typo', [
	'font-family' => 'Roboto',
    'color' => '#4b5158',
    'text-transform' => 'none',
    'font-size' => '16px',
    'line-height' => '1.6',
    'letter-spacing' => '0px',
    'variant' => 'regular',
    'font-backup' => '',
    'font-weight' => '400',
    'font-style' => 'normal',
] );
/**
 * heading
 */
$headings_h1 = get_theme_mod( 'headings_h1', [] );
$headings_h2 = get_theme_mod( 'headings_h2', [] );
$headings_h3 = get_theme_mod( 'headings_h3', [] );
$headings_h4 = get_theme_mod( 'headings_h4', [] );
$headings_h5 = get_theme_mod( 'headings_h5', [] );
$headings_h6 = get_theme_mod( 'headings_h6', [] );
/**
 * menu
 */
$main_menu = get_theme_mod( 'main_menu_typo', [
	'font-family' => 'Poppins',
    'color' => '',
    'text-transform' => 'none',
    'font-size' => '16px',
    'line-height' => '74px',
    'letter-spacing' => '0px',
    'variant' => 'regular',
    'font-backup' => '',
    'font-weight' => '400',
    'font-style' => 'normal',
] );
$sub_menu = get_theme_mod( 'sub_menu_typo', [
	'font-family' => 'Poppins',
    'color' => '',
    'text-transform' => 'none',
    'font-size' => '15px',
    'line-height' => '1',
    'letter-spacing' => '0px',
    'variant' => 'regular',
    'font-backup' => '',
    'font-weight' => '400',
    'font-style' => 'normal',
] );
/**
 * page
 */
$page_header_title = get_theme_mod( 'page_header_title', [] );
$page_header_breadcrumb = get_theme_mod( 'page_header_breadcrumb', [] );
/**
 * selector - body
 */
$body_selector = [
	'body, p'
];
/**
 * selector - heading
 */
$headings_h1_selector = [
	'h1', 
];
$headings_h2_selector = [
	'h2', 
	'h1.post-title'
];
$headings_h3_selector = [
	'h3',
];
$headings_h4_selector = [
	'h4', 
];
$headings_h5_selector = [
	'h5', 
];
$headings_h6_selector = [
	'h6', 
];
/**
 * selector - Menu
 */
$main_menu_selector = [
	'.edumodo-header .navigation-main .menu-item a.parent-link', 
];
$sub_menu_selector = [
	'.edumodo-header .navigation-main .menu-item a.child', '.edumodo-header .navigation-main .menu-item a.child-end'
];
/**
 * selector - page
 */
$page_header_title_selector = [
	'.page-details h2.page-title', 
];
$page_header_breadcrumb_selector = [
	'.page-details div.breadcrumbs', 
	'.page-details div.breadcrumbs a', 
];

?>
	<style>
		<?php
			edumodo_parse_typography_to_selectors($body_typo, edumodo_parse_selector_as_string($body_selector));
			edumodo_parse_typography_to_selectors($headings_h1, edumodo_parse_selector_as_string($headings_h1_selector));
			edumodo_parse_typography_to_selectors($headings_h2, edumodo_parse_selector_as_string($headings_h2_selector));
			edumodo_parse_typography_to_selectors($headings_h3, edumodo_parse_selector_as_string($headings_h3_selector));
			edumodo_parse_typography_to_selectors($headings_h4, edumodo_parse_selector_as_string($headings_h4_selector));
			edumodo_parse_typography_to_selectors($headings_h5, edumodo_parse_selector_as_string($headings_h5_selector));
			edumodo_parse_typography_to_selectors($headings_h6, edumodo_parse_selector_as_string($headings_h6_selector));
			edumodo_parse_typography_to_selectors($main_menu, edumodo_parse_selector_as_string($main_menu_selector));
			edumodo_parse_typography_to_selectors($sub_menu, edumodo_parse_selector_as_string($sub_menu_selector));
			edumodo_parse_typography_to_selectors($page_header_title, edumodo_parse_selector_as_string($page_header_title_selector));
			edumodo_parse_typography_to_selectors($page_header_breadcrumb, edumodo_parse_selector_as_string($page_header_breadcrumb_selector));
		?>
	</style>
<?php

?>